Package org.eclipse.remote.serial.ui

# Class NewSerialPortConnectionWizard

java.lang.Object
org.eclipse.jface.wizard.Wizard
org.eclipse.remote.serial.ui.NewSerialPortConnectionWizard

All Implemented Interfaces:
  `org.eclipse.jface.window.IShellProvider`, `org.eclipse.jface.wizard.IWizard`, `IRemoteUIConnectionWizard`

public class NewSerialPortConnectionWizard extends org.eclipse.jface.wizard.Wizard implements IRemoteUIConnectionWizard

## Field Summary

### Fields inherited from class org.eclipse.jface.wizard.Wizard

`DEFAULT_IMAGE`

## Constructor Summary

Constructors
Constructor
Description
`NewSerialPortConnectionWizard(org.eclipse.swt.widgets.Shell shell, IRemoteConnectionType connectionType)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addPages()`
`IRemoteConnectionWorkingCopy`
`getConnection()`
Get the connection being edited.
`IRemoteConnectionWorkingCopy`
`open()`
Open configuration wizard allowing the user to enter information about a connection.
`boolean`
`performFinish()`
`void`
`setConnection(IRemoteConnectionWorkingCopy connection)`
Set a connection containing the information to be edited by the wizard.
`void`
`setConnectionName(String name)`
Set the initial name of the connection.
`void`
`setInvalidConnectionNames(Set<String> names)`
Supply a set of connection names that are invalid.

### Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

## Constructor Details

### NewSerialPortConnectionWizard

public NewSerialPortConnectionWizard(org.eclipse.swt.widgets.Shell shell, IRemoteConnectionType connectionType)

## Method Details

### addPages

public void addPages()

Specified by:
  `addPages` in interface `org.eclipse.jface.wizard.IWizard`
Overrides:
  `addPages` in class `org.eclipse.jface.wizard.Wizard`

### performFinish

public boolean performFinish()

Specified by:
  `performFinish` in interface `org.eclipse.jface.wizard.IWizard`
Specified by:
  `performFinish` in class `org.eclipse.jface.wizard.Wizard`

### open

public IRemoteConnectionWorkingCopy open()
Description copied from interface: `IRemoteUIConnectionWizard`
Open configuration wizard allowing the user to enter information about a connection. If the user confirms the information is correct (e.g. selects OK in a dialog) then a working copy of the connection is returned. If the user discards the information, then null is returned.

Specified by:
  `open` in interface `IRemoteUIConnectionWizard`
Returns:
  connection working copy or null if the wizard is canceled

### getConnection

public IRemoteConnectionWorkingCopy getConnection()
Description copied from interface: `IRemoteUIConnectionWizard`
Get the connection being edited.

Specified by:
  `getConnection` in interface `IRemoteUIConnectionWizard`
Returns:
  connection being edited

### setConnection

public void setConnection(IRemoteConnectionWorkingCopy connection)
Description copied from interface: `IRemoteUIConnectionWizard`
Set a connection containing the information to be edited by the wizard. Setting this value overrides the `IRemoteUIConnectionWizard.setConnectionName(String)` method.

Specified by:
  `setConnection` in interface `IRemoteUIConnectionWizard`
Parameters:
  `connection` - connection used to initialize the wizard

### setConnectionName

public void setConnectionName(String name)
Description copied from interface: `IRemoteUIConnectionWizard`
Set the initial name of the connection.

Specified by:
  `setConnectionName` in interface `IRemoteUIConnectionWizard`
Parameters:
  `name` - initial connection name

### setInvalidConnectionNames

public void setInvalidConnectionNames(Set<String> names)
Description copied from interface: `IRemoteUIConnectionWizard`
Supply a set of connection names that are invalid. The dialog should display an error if the user trys to select a name from the set.

Specified by:
  `setInvalidConnectionNames` in interface `IRemoteUIConnectionWizard`
Parameters:
  `names` - set of invalid connections names